> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.walletstech.com/llms.txt.
> For full documentation content, see https://docs.walletstech.com/llms-full.txt.

# Sell transactions

POST https://list/sell

Get the list of all the sell transactions

Reference: https://docs.walletstech.com/api/list/sell-transactions

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /list/sell:
    post:
      operationId: sell-transactions
      summary: Sell transactions
      description: Get the list of all the sell transactions
      tags:
        - subpackage_list
      parameters:
        - name: X-AUTH-TOKEN
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/ListSellPostResponsesContentApplicationJsonSchemaItems
servers:
  - url: https:/
components:
  schemas:
    ListSellPostResponsesContentApplicationJsonSchemaItemsDate:
      type: object
      properties:
        date:
          type: string
        timezone:
          type: string
        timezone_type:
          type: integer
      required:
        - date
        - timezone
        - timezone_type
      title: ListSellPostResponsesContentApplicationJsonSchemaItemsDate
    ListSellPostResponsesContentApplicationJsonSchemaItems:
      type: object
      properties:
        id:
          type: integer
        gas:
          type: string
        date:
          $ref: >-
            #/components/schemas/ListSellPostResponsesContentApplicationJsonSchemaItemsDate
        rate:
          type: string
        c_type:
          type: integer
        f_type:
          type: integer
        status:
          type: integer
        c_amount:
          type: string
        f_amount:
          type: string
      required:
        - id
        - gas
        - date
        - rate
        - c_type
        - f_type
        - status
        - c_amount
        - f_amount
      title: ListSellPostResponsesContentApplicationJsonSchemaItems
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-AUTH-TOKEN

```

## SDK Code Examples

```python List_Sell transactions_example
import requests

url = "https://https/list/sell"

headers = {"X-AUTH-TOKEN": "<apiKey>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript List_Sell transactions_example
const url = 'https://https/list/sell';
const options = {method: 'POST', headers: {'X-AUTH-TOKEN': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go List_Sell transactions_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://https/list/sell"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("X-AUTH-TOKEN", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby List_Sell transactions_example
require 'uri'
require 'net/http'

url = URI("https://https/list/sell")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-AUTH-TOKEN"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java List_Sell transactions_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://https/list/sell")
  .header("X-AUTH-TOKEN", "<apiKey>")
  .asString();
```

```php List_Sell transactions_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://https/list/sell', [
  'headers' => [
    'X-AUTH-TOKEN' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp List_Sell transactions_example
using RestSharp;

var client = new RestClient("https://https/list/sell");
var request = new RestRequest(Method.POST);
request.AddHeader("X-AUTH-TOKEN", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift List_Sell transactions_example
import Foundation

let headers = ["X-AUTH-TOKEN": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://https/list/sell")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```